### Method

# WebKit PrintOperation get_print_settings

#### Declaration [src]

    GtkPrintSettings*
    webkit_print_operation_get_print_settings (
      WebKitPrintOperation* print_operation
    )

#### Description [src]

Return the current print settings of `print_operation`.

It returns `NULL` until either `webkit_print_operation_set_print_settings()` or `webkit_print_operation_run_dialog()` have been called.

Gets property | `WebKit.PrintOperation:print-settings`

#### Return value

Type: `GtkPrintSettings`

The current `GtkPrintSettings` of `print_operation`.

The returned data is owned by the instance.